
TYPO3.Flow - Bug # 25851

Status: Resolved Priority: Should have
Author: Robert Lemke Category: AOP
Created: 2011-04-08 Assigned To: Robert Lemke
Updated: 2011-04-11 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Methods whose name contain "protected"  can't be adviced
Description

Due to a bug in the pointcut expression parser, methods which contain the string "public" or "protected" in their name cannot be
adviced or trigger a Syntax Error exception in the parser.

Associated revisions
Revision 036fd8b3 - 2011-04-11 18:06 - Robert Lemke

[+BUGFIX] Methods whose name contain "protected" can't be adviced

This fixes a bug in the PointcutExpressionParser which was confused by
"protected" or "public" appearing as part of the adviced method name.
Also adds a test to assure that after returning advices work.

Change-Id: I11c5cdbeed4caa97682907a0cf39d689e79c3d4a
Resolves: #25851

History
#1 - 2011-04-08 11:24 - Mr. Hudson

Patch set 1 of change I11c5cdbeed4caa97682907a0cf39d689e79c3d4a has been pushed to the review server.
It is available at http://review.typo3.org/1512

#2 - 2011-04-11 18:08 - Mr. Hudson

Patch set 2 of change I11c5cdbeed4caa97682907a0cf39d689e79c3d4a has been pushed to the review server.
It is available at http://review.typo3.org/1512

#3 - 2011-04-11 18:30 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:036fd8b3a8a5a53c0295ceb9fbc785b1458dece1.
